Package weka.core.pmml.jaxbbindings

# Enum Class FIELDUSAGETYPE

java.lang.Object
java.lang.Enum<FIELDUSAGETYPE>
weka.core.pmml.jaxbbindings.FIELDUSAGETYPE

All Implemented Interfaces:
  `Serializable`, `Comparable<FIELDUSAGETYPE>`, `Constable`

public enum FIELDUSAGETYPE extends Enum<FIELDUSAGETYPE>

Java class for FIELD-USAGE-TYPE.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="FIELD-USAGE-TYPE">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="active"/>
         <enumeration value="predicted"/>
         <enumeration value="supplementary"/>
         <enumeration value="group"/>
         <enumeration value="order"/>
         <enumeration value="frequencyWeight"/>
         <enumeration value="analysisWeight"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACTIVE`
  `ANALYSIS_WEIGHT`
  `FREQUENCY_WEIGHT`
  `GROUP`
  `ORDER`
  `PREDICTED`
  `SUPPLEMENTARY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FIELDUSAGETYPE`
  `fromValue(String v)`
  `String`
  `value()`
  `static FIELDUSAGETYPE`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FIELDUSAGETYPE[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ACTIVE

    public static final FIELDUSAGETYPE ACTIVE

  - ### ANALYSIS_WEIGHT

    public static final FIELDUSAGETYPE ANALYSIS_WEIGHT

  - ### FREQUENCY_WEIGHT

    public static final FIELDUSAGETYPE FREQUENCY_WEIGHT

  - ### GROUP

    public static final FIELDUSAGETYPE GROUP

  - ### ORDER

    public static final FIELDUSAGETYPE ORDER

  - ### PREDICTED

    public static final FIELDUSAGETYPE PREDICTED

  - ### SUPPLEMENTARY

    public static final FIELDUSAGETYPE SUPPLEMENTARY

- ## Method Details

  - ### values

    public static FIELDUSAGETYPE[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FIELDUSAGETYPE valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### fromValue

    public static FIELDUSAGETYPE fromValue(String v)